export function checkNull(vnode) {
    if (vnode === null || vnode === false) {
        return { type: "#comment", text: "empty", vtype: 0 };
    }
    return vnode;
}
function ReactShallowRenderer() {
    return {
        render: function(vnode) {
            var ret;
            if (vnode.vtype === 2) {
                ret = checkNull(new vnode.type());
                ret = checkNull(ret);
            } else if (vnode.vtype === 4) {
                ret = checkNull(vnode.type());
            } else {
                ret = vnode;
            }
            this.ret = ret;
        },
        getRenderOutput:function(){
            return this.ret;
        }
    };
}
